// Handles Squad Formations.
// Worthless Bums 2012.


function areTilesAdjacent (%xIndex1, %yIndex1, %xIndex2, %yIndex2)
{//echo("areTilesAdjavent()");
	// If Tile 1 is above Tile2.
	if (%yIndex1 + 1 < $mazeDimension - 1	&&
		%xIndex1 == %xIndex2				&&
		%yIndex1 + 1 == %yIndex2)
	{
		return true;
	}
	// If Tile 1 is below Tile2.
	else if (%yIndex2 + 1 < $mazeDimension - 1	&&
			 %xIndex1 == %xIndex2				&&
			 %yIndex1 == %yIndex2 + 1)
	{
		return true;
	}
	// If Tile 1 is left of Tile2.
	else if (%xIndex1 + 1 < $mazeDimension - 1	&&
			 %xIndex1 + 1 == %xIndex2			&&
			 %yIndex1 == %yIndex2)
	{
		return true;
	}
	// If Tile 1 is right of Tile2.
	else if (%xIndex2 + 1 < $mazeDimension - 1	&&
			 %xIndex1 == %xIndex2 + 1			&&
			 %yIndex1 == %yIndex2)
	{
		return true;
	}
	// Tiles are not adjacent!
	else
	{
		return false;
	}
}